Package org.apache.sling.commons.log.logback.internal.joran

# Class OsgiAppenderRefModel

java.lang.Object
ch.qos.logback.core.model.Model
org.apache.sling.commons.log.logback.internal.joran.OsgiAppenderRefModel

All Implemented Interfaces:
  `Serializable`

public class OsgiAppenderRefModel extends ch.qos.logback.core.model.Model
Model for the appender-ref-osgi element

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`OsgiAppenderRefModel()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
Returns wither the supplied object is equals to this one
`String`
`getRef()`
Get the appender ref name
`int`
`hashCode()`
Returns a hash code value for the object
`protected OsgiAppenderRefModel`
`makeNewInstance()`
Factory method to create an instance of this model
`protected void`
`mirror(ch.qos.logback.core.model.Model that)`
Mirror the state of the the supplied model
`void`
`setRef(String ref)`
Set the appender ref name

### Methods inherited from class ch.qos.logback.core.model.Model

`addSubModel, addText, deepMarkAsSkipped, duplicate, getBodyText, getLineNumber, getSubModels, getTag, idString, isHandled, isSkipped, isUnhandled, markAsHandled, markAsSkipped, setLineNumber, setTag, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### OsgiAppenderRefModel

public OsgiAppenderRefModel()

## Method Details

### makeNewInstance

protected OsgiAppenderRefModel makeNewInstance()
Factory method to create an instance of this model

Overrides:
  `makeNewInstance` in class `ch.qos.logback.core.model.Model`

### mirror

protected void mirror(ch.qos.logback.core.model.Model that)
Mirror the state of the the supplied model

Overrides:
  `mirror` in class `ch.qos.logback.core.model.Model`
Parameters:
  `that` - the model to mirror

### getRef

public String getRef()
Get the appender ref name

Returns:
  the name of the appender to reference

### setRef

public void setRef(String ref)
Set the appender ref name

Parameters:
  `ref` - the name of the appender to reference

### hashCode

public int hashCode()
Returns a hash code value for the object

Overrides:
  `hashCode` in class `ch.qos.logback.core.model.Model`

### equals

public boolean equals(Object obj)
Returns wither the supplied object is equals to this one

Overrides:
  `equals` in class `ch.qos.logback.core.model.Model`
Parameters:
  `obj` - the other object to compare
Returns:
  true if the object is equal, false otherwise